$FirstName=$args[0]
$LastName=$args[1]
$NewUsername=$args[2]
$UPN=$args[3]
$GenPassword=$args[4]
$NewUserOU=$args[5]
$MobileDigitsOnly=$args[6]
$ADUserDescription=$args[7]

$DisplayName = $FirstName + " " + $LastName

New-ADUser -Name "$DisplayName" -DisplayName "$DisplayName" -SamAccountName $NewUsername `
-UserPrincipalName $UPN -GivenName "$FirstName" -Surname "$LastName" `
-Description "$ADUserDescription" -AccountPassword (ConvertTo-SecureString $GenPassword -AsPlainText -Force) -Enabled $true `
-Path "$NewUserOU" -ChangePasswordAtLogon $false -PasswordNeverExpires $false -OfficePhone $MobileDigitsOnly

Get-ADUser -Identity CLM_CAT_IA -Properties memberof | Select-Object -ExpandProperty memberof | Add-ADGroupMember -Members $NewUsername

Start-Sleep -s 2

$Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri http://<exchange server>/PowerShell/ -Authentication Kerberos
Import-PSSession $Session

Start-Sleep -s 2

Enable-Mailbox -identity $UPN -database Employees02
Set-CASMailbox -identity $UPN -ActiveSyncEnabled $false

#Get-Mailbox -identity $UPN


#Read-Host